Page MenuHomePhabricator

Show wikitext editor when clicking on enabled edit buttons
Closed, ResolvedPublic2 Story Points

Description

If users click on the enabled edit icon he should be able to edit the corresponding paragraph.

  • The text box becomes a wikitext editor (without any editing toolbar)
  • The font changes to wikitext layout for both paragraphs (the selected and the non selected one), or for the unchanged text that is now in edit mode
  • The edit icon within the editor disappears

BDD-ish outline

Acceptance Criteria
Given: I am on the merge view
When: I click on the enabled edit icon
Then: The text box becomes a wikitext editor (without any editing toolbar)
And: The font changes to wikitext editor layout for both paragraphs (the selected and the non selected one), or for the unchanged text that is now in edit mode

Given: I am on the merge view
When: I click on the enabled edit icon
And: The edit icon within the editor disappears

Event Timeline

WMDE-Fisch triaged this task as Normal priority.Aug 30 2018, 7:57 AM
WMDE-Fisch created this task.
WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-08-29 board.
WMDE-Fisch added a subscriber: Andrew-WMDE.

Change 458529 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] [WIP] Enable editing with wikitext editors

https://gerrit.wikimedia.org/r/458529

Lea_WMDE set the point value for this task to 2.Sep 13 2018, 2:26 PM

Change 458529 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Enable editing with wikitext editors

https://gerrit.wikimedia.org/r/458529

The view differs between Chrome and Firefox.

Example of view in Chrome
In the first three rows of text boxes, the edit button was clicked. In the last row, it wasn't:

Lea_WMDE closed this task as Resolved.Oct 2 2018, 9:42 AM